<?php
/**
 * Plugin Name: Mark Zuckerberg
 * Plugin URI: http://takahashifumiki.com
 * Description: The richest young in the world.
 * Author: Takahashi Fumiki(NOT Mark Zuckerberg)
 * Version: 1.0
 * Author URI: http://takahashifumiki.com
*/

/**
 * ポインタ名
 */
define('ZECKERBERG_POINTER', 'zeckerberg-pointer');

/**
 * 管理画面にページを追加するフック
 */
function _zuck_admin_menu(){
	//設定ページを追加
	add_users_page('マーク・ザッカーバーグ', 'ザッカーバーグ', 'edit_posts', 'zuckerberg', '_zuck_option_page');
	//ユーザーの設定から、非表示にするポインタのリストを取得
	$dissmissed = explode(',', get_user_meta( get_current_user_id(), 'dismissed_wp_pointers', true ));
	//ポインタが停止されていないかを確認
	if(false === array_search(ZECKERBERG_POINTER, $dissmissed)){
		//ポインタ用JSとCSSを追加
		add_action('admin_print_scripts', '_zuck_scripts');
		add_action('admin_print_styles', '_zuck_styles');
	}
}
add_action('admin_menu', '_zuck_admin_menu');

/**
 * 管理画面でJSを読み込む 
 */
function _zuck_scripts(){
	//自分が作ったJSを読み込む。
	//jqueryとwp-pointerに依存することを明示すれば、
	//勝手に読み込んでくれます。詳しくは以下を参照
	//http://codex.wordpress.org/Function_Reference/wp_enqueue_script
	wp_enqueue_script('zuck-pointer', plugin_dir_url(__FILE__).'pointer.js', array('jquery', 'wp-pointer'), 1.0);
	//上のスクリプトと必ず一緒に読み込まれる変数を定義。
	//文字列の場合はこれでOK.
	wp_localize_script('zuck-pointer', 'Zuckerberg', array(
		'title' => '新しいユーザーの登録',
		'content' => 'I\'m CEO, Bitch!',
		'handler' => ZECKERBERG_POINTER,
		'endpoint' => admin_url('admin-ajax.php'),
		'action' => 'dismiss-wp-pointer'
	));
}

/**
 * 管理画面でCSSを読み込む 
 */
function _zuck_styles(){
	wp_enqueue_style( 'wp-pointer' );
}

/**
 * 管理画面を描画 
 */
function _zuck_option_page(){
	?>
<div class="wrap">
	<h2>マーク・ザッカーバーグ</h2>
	
	<div style="border:1px solid #ccc; -webkit-border-radius:5px;padding:20px;background: #fff;">
		<img src="<?php echo plugin_dir_url(__FILE__);?>zuckerberg.jpg" alt="Mark Zuckerberg" height="230" width="136" style="float:left;margin:0 20px 20px 0;" />
		<p style="font-size:3em; line-height: 1;">
			<strong>Done is better than Perfect.</strong><br />
			<small style="font-size:0.5em;">完了は完璧よりもいい。</small>
		</p>
		<p><em>Photo: https://www.facebook.com/photo.php?fbid=530045532341&amp;set=a.529237716211.2047231.4&amp;type=3&amp;theater</em></p>
		<div style="clear:left;"></div>
	</div>
	
</div>
	<?php
}